<?php

/*********************************************************************

 ページテキスト文字数カウントプラグイン 

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

/* メイン処理 */
function freo_display_page_textcount()
{
	global $freo;

	//ページ取得
	$stmt = $freo->pdo->prepare('SELECT * FROM ' . FREO_DATABASE_PREFIX . 'pages WHERE approved = \'yes\' AND (status = \'publish\' OR (status = \'future\' AND datetime <= :now1)) AND (close IS NULL OR close >= :now2) ORDER BY pid, sort, id');
	$stmt->bindValue(':now1', date('Y-m-d H:i:s'));
	$stmt->bindValue(':now2', date('Y-m-d H:i:s'));
	$flag = $stmt->execute();
	if (!$flag) {
		freo_error($stmt->errorInfo());
	}

	$pages = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$pages[$data['id']] = $data;
	}

	//ページID取得
	$page_keys = array_keys($pages);

	//文字数取得
	$plugin_page_textcount = array();
	foreach ($page_keys as $page) {
		$plugin_page_textcount[$page] = mb_strlen(strip_tags($pages[$page]['text']));
	}

	//データ割当
	$freo->smarty->assign(array(
		'plugin_page_textcount'           => $plugin_page_textcount
	));



	return;
}

?>
